package com.xjrsoft.common.enums;

/**
 * @Author: tzx
 * @Date: 2023/2/28 16:19
 */
public enum DataAuthScopeEnum {


    MY(0, "仅查看登录人数据"),

    MY_AND_POST(1, "仅查看登录人同岗位数据"),

    MY_AND_CHILD_POST(2, "仅查看登录人及所有下属岗位数据"),

    MY_AND_POST_AND_CHILD_POST(3, "仅查看登录人同岗位及所有下属岗位数据"),

    MY_AND_ORG(4, "仅查看登录人同组织架构人员数据"),

    MY_AND_CHILD_ORG(5, "仅查看登录人及所有下属组织架构人员数据"),

    MY_AND_ORG_AND_CHILD_ORG(6, "仅查看登录人同组织架构人员及所有下属组织架构人员数据"),

    ROLE(7, "仅查看登录人同角色数据");


    final int code;
    final String value;

    public int getCode() {
        return this.code;
    }

    public String getValue() {
        return this.value;
    }

    DataAuthScopeEnum(final int code, final String message) {
        this.code = code;
        this.value = message;
    }

}
